Bug 172182 - crashes when package missing from yum repo
crashes when package missing from yum repo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-01 02:04 EST by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-05 13:46:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2005-11-01 02:04:18 EST
Description of problem:
Anaconda backtraces when a package is missing from the yum repo
used for the installation.

How reproducible:
every time

Steps to Reproduce:
1. use a partial rawhide mirror or remove a package needed for install.
2. do anaconda install
  
Actual results:
yum backtrace about missing package

Expected results:
onscreen dialog

Additional info:
presumably will be fixed in final package selection UI?
Comment 1 Jeremy Katz 2005-11-07 21:30:13 EST
Can you give the actual traceback you received?
Comment 2 Jens Petersen 2005-12-14 22:01:28 EST
With last night's rawhide, I get a 
"There was a problem writing the system state to the remote host."
dialog when I try to save the backtrace.
Comment 3 Chris Lumens 2005-12-19 13:27:38 EST
Perhaps you're making a typo in the information you're providing to the dialog?
 It's not too helpful in that it doesn't spit back any error message that scp
provides.  It's working fine for me here on my setup, though there could
probably be something very different going on with yours.
Comment 4 Chris Lumens 2006-06-05 13:46:19 EDT
Lots of work has gone into package selection and error handling in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.